Bug 118185 - (SATA VIA)Kernel attempts to page during loading of sata_via module but can't.
(SATA VIA)Kernel attempts to page during loading of sata_via module but can't.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-12 16:49 EST by Mark Lane
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Lane 2004-03-12 16:49:17 EST
Description of problem:
At some point during the loading of the sata_via module the kernel
attempts handle a paging request but can't. I assume this is because
the swapfile is on the SATA drive but I haven't changed my FSTAB to
exclude that swapfile. Either way it prevents me from running a system
off the SATA drive alone.


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2174.nptl

How reproducible:
Every boot


Steps to Reproduce:
1. Install to a SATA drive on a Via Chipset Board.
2. Reboot after the install.
  
Actual results:
Kernel Panic during the loading of the sata_via module because the
kernel is quote:

Unable to handle kernel paging request <1> at 000000008010ddbc \
RIP: [<000000008010ddbc>] PML4 3f551067 PGD 0

Oops:0010
CPU 0
Pid: 0, comL swapper Not tainted
RIP:0010:[<000000008010ddbc>]
....
Code Bad RIP Value

RIP [<00000008010ddbe>] RSP <ffffffff804ddfc8>
CR2:00000008010ddbe
<0> Kernel Panic: Attempted to Kill the idle task!
In idle task - not syncing

Expected results:
Module loads fine like it did on the install.

Additional info:
I will attempt to turn off the swap on the sata to see if this is a
swap issue.
Comment 1 Mark Lane 2004-03-12 17:00:31 EST
I tried moving swap despite realizing that it hasn't turned swap on 
yet so of course it isn't paging to swap. 
Comment 2 Alan Cox 2004-05-03 13:49:40 EDT
The page fault is because of an invalid access of some kind. What is
really needed is the call trace.
Comment 3 David Lawrence 2004-09-29 16:11:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.